
const reportTutorialSnippetChanges = function (snippets) {
    const tutorialItems = window.textexpander.onboarding.tutorialItems;
    const snippetArray = [];
    var prefix = "";
    for (i = 0; i < tutorialItems.length; i++) {
                          var item = tutorialItems[i];
                          if (item === 'abbreviationPrefix') {
                            prefix = snippets.get(item);
                          }
                          else {
                           const snippet = snippets.get(item);
                           const snippetDictionary = { content: snippet.content, abbreviation: snippet.abbreviation };
                          snippetArray.push(snippetDictionary);
                          }
    }

window.webkit.messageHandlers.reportTutorialSnippetChanges.postMessage({ snippets: snippetArray, abbreviationPrefix: prefix });
};

const done = function () {
    window.webkit.messageHandlers.onboardingDone.postMessage('doneOnboarding');
};

const openURL = function (url) {
    window.webkit.messageHandlers.openOnboardingURL.postMessage(url);
};
